<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/FFmpegStreamInputControllerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">FFmpegStreamInputControllerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;array&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;libavformat/avformat.h&gt;</code><br />
<code>#include &lt;libavformat/avio.h&gt;</code><br />
<code>#include &lt;libavutil/common.h&gt;</code><br />
<code>#include &lt;libavutil/error.h&gt;</code><br />
<code>#include &lt;<a class="el" href="med__alerts__notification__01_8___t_t_h___8mp3_8h_source.html">Audio/Data/med_alerts_notification_01._TTH_.mp3.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_f_fmpeg_stream_input_controller_8h_source.html">AndroidSLESMediaPlayer/FFmpegStreamInputController.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for FFmpegStreamInputControllerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_f_fmpeg_stream_input_controller_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_f_fmpeg_stream_input_controller_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_f_fmpeg_stream_input_controller_test_8cpp" id="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_f_fmpeg_stream_input_controller_test_8cpp">
<area shape="rect" id="node9" href="med__alerts__notification__01_8___t_t_h___8mp3_8h.html" title="Audio/Data/med_alerts\l_notification_01._TTH\l_.mp3.h" alt="" coords="907,119,1064,171"/>
<area shape="rect" id="node10" href="_f_fmpeg_stream_input_controller_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegStreamInputController.h" alt="" coords="1089,125,1304,164"/>
<area shape="rect" id="node13" href="_f_fmpeg_input_controller_interface_8h.html" title="AndroidSLESMediaPlayer\l/FFmpegInputControllerInterface.h" alt="" coords="1255,219,1480,257"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">alexaClientSDK::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">alexaClientSDK::mediaPlayer::android</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html">alexaClientSDK::mediaPlayer::android::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6ffb586c0c265f6459ea1b67e83243cb"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; std::stringstream &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a6ffb586c0c265f6459ea1b67e83243cb">alexaClientSDK::mediaPlayer::android::test::createStream</a> ()</td></tr>
<tr class="separator:a6ffb586c0c265f6459ea1b67e83243cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af691bf31d3fef8fd394655c0868f66d8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#af691bf31d3fef8fd394655c0868f66d8">alexaClientSDK::mediaPlayer::android::test::TEST</a> (FFmpegStreamInputControllerTest, test_createSucceed)</td></tr>
<tr class="memdesc:af691bf31d3fef8fd394655c0868f66d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test decoder input create succeed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#af691bf31d3fef8fd394655c0868f66d8">More...</a><br /></td></tr>
<tr class="separator:af691bf31d3fef8fd394655c0868f66d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa358b66511f09741ff491400b1de4641"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa358b66511f09741ff491400b1de4641">alexaClientSDK::mediaPlayer::android::test::TEST</a> (FFmpegStreamInputControllerTest, test_createFailed)</td></tr>
<tr class="memdesc:aa358b66511f09741ff491400b1de4641"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test decoder input create with null input failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa358b66511f09741ff491400b1de4641">More...</a><br /></td></tr>
<tr class="separator:aa358b66511f09741ff491400b1de4641"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae309d608bc251622aa990baa69a5212c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ae309d608bc251622aa990baa69a5212c">alexaClientSDK::mediaPlayer::android::test::TEST</a> (FFmpegStreamInputControllerTest, test_readSucceed)</td></tr>
<tr class="memdesc:ae309d608bc251622aa990baa69a5212c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test read from stream.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ae309d608bc251622aa990baa69a5212c">More...</a><br /></td></tr>
<tr class="separator:ae309d608bc251622aa990baa69a5212c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a4e7d8fe61dcda5b76147254339f7e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7a4e7d8fe61dcda5b76147254339f7e6">alexaClientSDK::mediaPlayer::android::test::TEST</a> (FFmpegStreamInputControllerTest, test_readEof)</td></tr>
<tr class="memdesc:a7a4e7d8fe61dcda5b76147254339f7e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test read from stream until the end.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7a4e7d8fe61dcda5b76147254339f7e6">More...</a><br /></td></tr>
<tr class="separator:a7a4e7d8fe61dcda5b76147254339f7e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38f66b2de50222fac2b461c33e2d47a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a38f66b2de50222fac2b461c33e2d47a1">alexaClientSDK::mediaPlayer::android::test::TEST</a> (FFmpegStreamInputControllerTest, test_readRepeat)</td></tr>
<tr class="memdesc:a38f66b2de50222fac2b461c33e2d47a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test read with repeat on from a stream.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a38f66b2de50222fac2b461c33e2d47a1">More...</a><br /></td></tr>
<tr class="separator:a38f66b2de50222fac2b461c33e2d47a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:acaf1f651901f2320e16ad31d64fdbacb"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#acaf1f651901f2320e16ad31d64fdbacb">alexaClientSDK::mediaPlayer::android::test::BUFFER_SIZE</a> = 1024</td></tr>
<tr class="memdesc:acaf1f651901f2320e16ad31d64fdbacb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the buffers used to read input.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#acaf1f651901f2320e16ad31d64fdbacb">More...</a><br /></td></tr>
<tr class="separator:acaf1f651901f2320e16ad31d64fdbacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39630100597f801663729ed0e952e10e"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a39630100597f801663729ed0e952e10e">alexaClientSDK::mediaPlayer::android::test::INPUT_SIZE</a></td></tr>
<tr class="memdesc:a39630100597f801663729ed0e952e10e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the input buffer.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a39630100597f801663729ed0e952e10e">More...</a><br /></td></tr>
<tr class="separator:a39630100597f801663729ed0e952e10e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c3e30179d14012fc73dd412bc275648"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a3c3e30179d14012fc73dd412bc275648">alexaClientSDK::mediaPlayer::android::test::INPUT_CSTR</a> = applicationUtilities::resources::audio::data::med_alerts_notification_01__TTH__mp3</td></tr>
<tr class="memdesc:a3c3e30179d14012fc73dd412bc275648"><td class="mdescLeft">&#160;</td><td class="mdescRight">An input buffer with an mp3 file.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a3c3e30179d14012fc73dd412bc275648">More...</a><br /></td></tr>
<tr class="separator:a3c3e30179d14012fc73dd412bc275648"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
